Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.vmplugin.v5
Class Java5

java 5 based functions

author:
  Jochen Theodorou

Field Summary
`def` | `PLUGIN_DGM`

Constructor Summary
`Java5()`

Method Summary
`ClassNode` | `configureClass(Class c)`
`void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
`ClassNode` | `configureGenericArray(GenericArrayType genericArrayType)`
`ClassNode` | `configureParameterizedType(ParameterizedType parameterizedType)`
`ClassNode` | `configureType(Type type)`
`def` | `configureTypeArguments(def ta)`
`def` | `configureTypeVariable(def tvs)`
`GenericsType` | `configureTypeVariableDefintion(TypeVariable tv)`
`ClassNode` | `configureTypeVariableReference(TypeVariable tv)`
`def` | `configureTypes(def types)`
`ClassNode` | `configureWildcardType(WildcardType wildcardType)`
`def` | `getPluginDefaultGroovyMethods()`
`ClassNode` | `makeClassNode(CompileUnit cu, Type t, Class c)`
`def` | `makeClassNodes(CompileUnit cu, def types, def cls)`
`void` | `makeInterfaceTypes(CompileUnit cu, ClassNode classNode, Class clazz)`
`Parameter` | `makeParameter(CompileUnit cu, Type type, Class cl, int idx)`
`def` | `makeParameters(CompileUnit cu, def types, def cls)`
`void` | `setGenericsTypes(ClassNode cn)`

Constructor Detail

### Java5

    Java5()

Method Detail

### configureClass

    ClassNode configureClass(Class c)

### configureClassNode

    public void configureClassNode(CompileUnit compileUnit, ClassNode classNode)

### configureGenericArray

    ClassNode configureGenericArray(GenericArrayType genericArrayType)

### configureParameterizedType

    ClassNode configureParameterizedType(ParameterizedType parameterizedType)

### configureType

    ClassNode configureType(Type type)

### configureTypeArguments

    def configureTypeArguments(def ta)

### configureTypeVariable

    def configureTypeVariable(def tvs)

### configureTypeVariableDefintion

    GenericsType configureTypeVariableDefintion(TypeVariable tv)

### configureTypeVariableReference

    ClassNode configureTypeVariableReference(TypeVariable tv)

### configureTypes

    def configureTypes(def types)

### configureWildcardType

    ClassNode configureWildcardType(WildcardType wildcardType)

### getPluginDefaultGroovyMethods

    public def getPluginDefaultGroovyMethods()

### makeClassNode

    ClassNode makeClassNode(CompileUnit cu, Type t, Class c)

### makeClassNodes

    def makeClassNodes(CompileUnit cu, def types, def cls)

### makeInterfaceTypes

    void makeInterfaceTypes(CompileUnit cu, ClassNode classNode, Class clazz)

### makeParameter

    Parameter makeParameter(CompileUnit cu, Type type, Class cl, int idx)

### makeParameters

    def makeParameters(CompileUnit cu, def types, def cls)

### setGenericsTypes

    public void setGenericsTypes(ClassNode cn)